Skip to main content

Create a project

POST 

/api/projects

Required permissions:

  • pipeline.create: to create a project the user is PM or Account
  • pipeline.create_other: to create a project where the user is not PM nor Account

Here the dedicated support page.

Project metadata​

You can set project metadata values using the dynamic field like metadata_13 where 13 is the ID of the project metadata you want to set.

You can get all the available project metadata using the related endpoint.

Only project metadata with a value will appear in the response.

Custom fields​

Set custom fields of the project domain using dynamic fields named like custom_field_55 where 55 is the ID of the custom field; the value is the ID of the option to select for single-option fields, a number for number fields, a YYYY-MM-DD date for date fields, a string of at most 255 characters for text fields (trimmed; blank means unset), a Markdown string with no length limit for long text fields (blank means unset), or null to leave it unset.

Timesheet whitelist​

You can enable the timesheet whitelist for the project using is_timesheet_whitelist_enabled. People can then be added to the whitelist using the timesheet whitelist endpoints.

info

As of today, this endpoint does not support the following functionalities:

  • Setting project risk
  • Setting won/lost feedback

Are you interested in any of these? Let us know!

Request​

Responses​

Returns the project created.